TlsSigner (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Interface TlsSigner

- All Known Implementing Classes:
    AbstractTlsSigner, TlsDSASigner, TlsDSSSigner, TlsECDSASigner, TlsRSASigner

      public interface TlsSigner

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Signer` | `createSigner(AsymmetricKeyParameter privateKey)`
    `Signer` | `createSigner(SignatureAndHashAlgorithm algorithm, AsymmetricKeyParameter privateKey)`
    `Signer` | `createVerifyer(AsymmetricKeyParameter publicKey)`
    `Signer` | `createVerifyer(SignatureAndHashAlgorithm algorithm, AsymmetricKeyParameter publicKey)`
    `byte[]` | `generateRawSignature(AsymmetricKeyParameter privateKey, byte[] md5AndSha1)`
    `byte[]` | `generateRawSignature(SignatureAndHashAlgorithm algorithm, AsymmetricKeyParameter privateKey, byte[] hash)`
    `void` | `init(TlsContext context)`
    `boolean` | `isValidPublicKey(AsymmetricKeyParameter publicKey)`
    `boolean` | `verifyRawSignature(byte[] sigBytes, AsymmetricKeyParameter publicKey, byte[] md5AndSha1)`
    `boolean` | `verifyRawSignature(SignatureAndHashAlgorithm algorithm, byte[] sigBytes, AsymmetricKeyParameter publicKey, byte[] hash)`

- - ### Method Detail

    - #### init

          void init(TlsContext context)

    - #### generateRawSignature

          byte[] generateRawSignature(AsymmetricKeyParameter privateKey,
                                    byte[] md5AndSha1)
                                      throws CryptoException

      Throws:
        `CryptoException`

    - #### generateRawSignature

          byte[] generateRawSignature(SignatureAndHashAlgorithm algorithm,
                                    AsymmetricKeyParameter privateKey,
                                    byte[] hash)
                                      throws CryptoException

      Throws:
        `CryptoException`

    - #### verifyRawSignature

          boolean verifyRawSignature(byte[] sigBytes,
                                   AsymmetricKeyParameter publicKey,
                                   byte[] md5AndSha1)
                                     throws CryptoException

      Throws:
        `CryptoException`

    - #### verifyRawSignature

          boolean verifyRawSignature(SignatureAndHashAlgorithm algorithm,
                                   byte[] sigBytes,
                                   AsymmetricKeyParameter publicKey,
                                   byte[] hash)
                                     throws CryptoException

      Throws:
        `CryptoException`

    - #### createSigner

          Signer createSigner(AsymmetricKeyParameter privateKey)

    - #### createSigner

          Signer createSigner(SignatureAndHashAlgorithm algorithm,
                            AsymmetricKeyParameter privateKey)

    - #### createVerifyer

          Signer createVerifyer(AsymmetricKeyParameter publicKey)

    - #### createVerifyer

          Signer createVerifyer(SignatureAndHashAlgorithm algorithm,
                              AsymmetricKeyParameter publicKey)

    - #### isValidPublicKey

          boolean isValidPublicKey(AsymmetricKeyParameter publicKey)